Bug 975916 - cinder thinlvm allocates new snap based volumes outside the pool
cinder thinlvm allocates new snap based volumes outside the pool
Status: CLOSED ERRATA
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-cinder (Show other bugs)
3.0
Unspecified Unspecified
medium Severity medium
: z2
: 3.0
Assigned To: Eric Harney
Giulio Fidente
: ZStream
Depends On: 993094 995766
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-19 11:18 EDT by Giulio Fidente
Modified: 2016-04-26 09:37 EDT (History)
6 users (show)

See Also:
Fixed In Version: openstack-cinder-2013.1.3-2.el6ost
Doc Type: Bug Fix
Doc Text:
A bug in the ThinLVM driver for the Block Storage service (Cinder) caused volumes created from snapshots to be created incorrectly, resulting in a failure to create the volume or a volume created with an invalid configuration. A bug in the ThinLVM driver for the Block Storage service (Cinder) caused volumes created from snapshots to fail due to mismatched method parameters in the Cinder ThinLVM driver.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-03 16:23:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1192601 None None None Never
OpenStack gerrit 33704 None None None Never

  None (edit)
Description Giulio Fidente 2013-06-19 11:18:44 EDT
Description of problem:
by going trough the sequence:
> origin (vol1) -> snapshot (snap1) -> create from snapshot (vol2)
vol2 gets allocated within the VG but outside the POOL


Version-Release number of selected component (if applicable):
openstack-cinder-2013.1.2-3.el6ost.noarch


Steps to Reproduce:
1. configure cinder with the ThinLVM driver
2. create a volume origin (v1)
3. create a snapshot of "v1" (s1)
4. create a volume based on "s1" (v2)


Expected results:
v2 should be placed within the VG POOL, as it happens for v1 and s1
Comment 1 Eric Harney 2013-07-29 12:37:00 EDT
Merged in upstream stable/grizzly for 2013.1.3.
Comment 2 Eric Harney 2013-08-10 19:22:30 EDT
Note that this is currently only fixed in that you will not get LVs created outside of the pool.  Volume clone from snapshot for the ThinLVM driver will still fail.  This is being followed up on in bug 995766 which requires another patch.

Needs to be documented as known issue for 3.0.z unless that bug also gets fixed and backported to the same release.
Comment 5 Giulio Fidente 2013-08-19 10:53:01 EDT
verified using openstack-cinder-2013.1.3-2.el6ost
Comment 7 errata-xmlrpc 2013-09-03 16:23:23 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-1198.html

Note You need to log in before you can comment on or make changes to this bug.